Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Mostafa-
Employee
316 Views

Running intel GPU in Benchmark APP on devcloud

After changing the run the benchmark with GPU to  idc022 

-----------

print("Submitting a job to an edge compute node with an Intel Core CPU and an Intel GPU...")
#Submit job to the queue
job_id_gpu = !qsub benchmark_app_job.sh -l nodes=1:idc022 -F "results/gpu GPU async"
benchmarks["GPU"] = wait_for_job_to_finish(job_id_gpu)

----------

I faced that error, so it seems like it cannot find the GPU;

 

Submitting a job to an edge compute node with an Intel Core CPU and an Intel GPU...
213291.v-qsvr-1.devcloud-edge
Job submitted to the queue. Waiting for it to complete .......................................................                                                                       Command line parameters
-m                                           /home/u85543/Reference-samples/iot-devcloud/op...
-d                                                                                         GPU
-niter                                                                                      10
-api                                                                                     async
--report_type                                                                detailed_counters
--report_folder                              /home/u85543/Reference-samples/iot-devcloud/op...
Execution results                                                                          NaN
error                                        Failed to create plugin /opt/intel/openvino/de...
Please, check your environment                                                             NaN
[CLDNN ERROR]. clGetPlatformIDs error -1001                                                NaN
 
 
---------------------------------------------------------------------------
KeyError                                  Traceback (most recent call last)
/usr/local/lib/python3.6/dist-packages/pandas-1.1.5-py3.6-linux-x86_64.egg/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance)
   2897             try:
-> 2898                 return self._engine.get_loc(casted_key)
   2899             except KeyError as err:

pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas/_libs/hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

pandas/_libs/hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

KeyError: 'throughput'

The above exception was the direct cause of the following exception:

KeyError                                  Traceback (most recent call last)
<ipython-input-23-bdcb7714c30e> in <module>
      2 #Submit job to the queue
      3 job_id_gpu = get_ipython().getoutput('qsub benchmark_app_job.sh -l nodes=1:idc022 -F "results/gpu GPU async"        ')
----> 4 benchmarks["GPU"] = wait_for_job_to_finish(job_id_gpu)

<ipython-input-10-cf79f2651227> in wait_for_job_to_finish(job_id)
     24         print(df)
     25 
---> 26         throughput = float(df.loc["throughput"][0])
     27         device = df.loc["target device"][0]
     28         load_time = float(df.loc["load network time (ms)"][0])

/usr/local/lib/python3.6/dist-packages/pandas-1.1.5-py3.6-linux-x86_64.egg/pandas/core/indexing.py in __getitem__(self, key)
    877 
    878             maybe_callable = com.apply_if_callable(key, self.obj)
--> 879             return self._getitem_axis(maybe_callable, axis=axis)
    880 
    881     def _is_scalar_access(self, key: Tuple):

/usr/local/lib/python3.6/dist-packages/pandas-1.1.5-py3.6-linux-x86_64.egg/pandas/core/indexing.py in _getitem_axis(self, key, axis)
   1108         # fall thru to straight lookup
   1109         self._validate_key(key, axis)
-> 1110         return self._get_label(key, axis=axis)
   1111 
   1112     def _get_slice_axis(self, slice_obj: slice, axis: int):

/usr/local/lib/python3.6/dist-packages/pandas-1.1.5-py3.6-linux-x86_64.egg/pandas/core/indexing.py in _get_label(self, label, axis)
   1057     def _get_label(self, label, axis: int):
   1058         # GH#5667 this will fail if the label is not present in the axis.
-> 1059         return self.obj.xs(label, axis=axis)
   1060 
   1061     def _handle_lowerdim_multi_index_axis0(self, tup: Tuple):

/usr/local/lib/python3.6/dist-packages/pandas-1.1.5-py3.6-linux-x86_64.egg/pandas/core/generic.py in xs(self, key, axis, level, drop_level)
   3491             loc, new_index = self.index.get_loc_level(key, drop_level=drop_level)
   3492         else:
-> 3493             loc = self.index.get_loc(key)
   3494 
   3495             if isinstance(loc, np.ndarray):

/usr/local/lib/python3.6/dist-packages/pandas-1.1.5-py3.6-linux-x86_64.egg/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance)
   2898                 return self._engine.get_loc(casted_key)
   2899             except KeyError as err:
-> 2900                 raise KeyError(key) from err
   2901 
   2902         if tolerance is not None:

KeyError: 'throughput'

 

Seeking your support please

 

Thanks,

Mostafa

0 Kudos
7 Replies
ChrisB_Intel
Moderator
280 Views

I am currently investigating, I will let you know what I find out.


ChrisB_Intel
Moderator
267 Views

I confirmed that there is an issues with the 022 node. It is being looked at/worked on right now. Please try a different node and let me know if that works for you.


Thanks

Chris



Mostafa-
Employee
245 Views

yes, I tried 030, but it takes so infinite time in processing

ChrisB_Intel
Moderator
227 Views

My apologies, I am not following your response. Are you saying it does process but takes a long time, or are you saying it does not process at all?


Thanks

Chris



Mostafa-
Employee
162 Views

no it takes time in the processing without displaying results!

Mostafa-
Employee
114 Views

Any update please

MicrosoftTeams-image.png

ChrisB_Intel
Moderator
72 Views

Thanks for the additional information, this is what we needed. I have opened a bug on it. I will keep you updated.


Thanks

Chris



Reply